import React, {useState, useCallback, useEffect} from 'react';
import ReactDOM from 'react-dom';
import { interpolateMagma, interpolateViridis, scaleSequential, max } from 'd3';
import { getMexico } from './getMexico';
import { Marks } from './Marks';
import { tooltipContext } from "./Tooltip";
import { useData } from './useData';
import { getZones  } from './getZones';


const width = 960;
const height = 500;

const App = () => {
  
  const atlasMex = getMexico();
  const wasteData = useData();
	const zoneData = getZones();
  
  if (!atlasMex || !wasteData || !zoneData) {
    return <pre>Loading...</pre>;
  }
  
  const rowByState = new Map();
  wasteData.forEach(d => {
  		rowByState.set(d.Estado, d);
  	})
  
  console.log('Hello Hermosa')
  
  const colorValue = d => d.WasteKgs;  
  const colorScale = scaleSequential()
//.domain([0, max(wasteData, colorValue)])
  .domain([10000,100000000])
  .interpolator(d3.interpolateViridis);

  return (
    <>
    <svg width={width} height={height}>
        <Marks 
          atlasMex={atlasMex}
          wasteData={wasteData}
          colorValue={colorValue}
          colorScale={colorScale}
          rowByState={rowByState}
          tooltipFormat={d => d}
          />
    </svg>
      <img className='image'
      src="https://raw.githubusercontent.com/d3/d3-scale-chromatic/master/img/viridis.png"
      alt="new"
      />
      </>
  );
};


const rootElement = document.getElementById('root');
  
ReactDOM.render(<App />, rootElement);